/*
 * Chapter 12
 *
 * Blinking LED connected to PA0 pin, adjusting the brigthness.
 *
 */

#include "../Headers/main.h"

int main(void)
{
   
	//Continuously running counter
	int counter = 0;
	//Initializing ports
    IOInit();

    //Infinite loop
    while (1)
    {
		//Managing the counter
		if(counter < 10)
		{
			counter++;	
		}
		
		//The state of the LED is based on the counter value
		if(counter < 4)
		{
			//Turn ON the LED
			PORTA = 0b0000001;
		}
		else
		{
			//Turn OFF the LED
			PORTA = 0b0000000;
		}
    }

    //Due to the Infinite loop, the software will never enter this region. However, this line is required by the compiler
    return 0;
}